Bug 11305 - ZIP archives can't be extracted on share with vfs_fruit
ZIP archives can't be extracted on share with vfs_fruit
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.2.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-01 12:09 UTC by Ralph Böhme
Modified: 2015-06-22 17:22 UTC (History)
1 user (show)

See Also:


Attachments
Patch for master (4.10 KB, patch)
2015-06-01 12:12 UTC, Ralph Böhme
no flags Details
Patch for master (4.11 KB, patch)
2015-06-08 14:49 UTC, Ralph Böhme
no flags Details
Patch for 4.2 cherry-picked from master (4.44 KB, patch)
2015-06-10 15:22 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2015-06-01 12:09:07 UTC
vfs_fruit adds a wildcard path "._*" to the vetolist in order to prevent client access to ._ AppleDouble files created internally by vfs_fruit for storing the Mac resource fork stream.

Unfortunately there are legitimite use cases where an OS X client may want to use such filenames, extracting ZIP archives (where the archive contains ._ files) being one of them.

A possible simple solution to this problem would be to not veto ._ files in the first place, even though that exposes internally created ._ files which the client shouldn't be able to access.

For anyone willing to test, it would be nice to have a vfs_fruit option that allows to disable to vetoing.
Comment 1 Ralph Böhme 2015-06-01 12:12:26 UTC
Created attachment 11117 [details]
Patch for master
Comment 2 Ralph Böhme 2015-06-08 14:49:05 UTC
Created attachment 11129 [details]
Patch for master
Comment 3 Ralph Böhme 2015-06-10 15:22:57 UTC
Created attachment 11144 [details]
Patch for 4.2 cherry-picked from master
Comment 4 Karolin Seeger 2015-06-17 18:16:22 UTC
Pushed to autobuild-v4-2-test.
Comment 5 Karolin Seeger 2015-06-22 17:22:51 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-2-test.
Closing out bug report.

Thanks!